

			ORG		$4000


EXECJP		EQU		$009D
GETNCH		EQU		$009F
GETCCH		EQU		$00A5
VD3			EQU		$00D3

DFLTYP		EQU		$0957

			; LOADM COMMAND
LCFC1		JSR		GETNCH				; GET NEXT INPUT CHARACTER
			BSR		LCFBB				; GET FILENAME, ETC.
			JSR		LCA07				; OPEN NEXT AVAILABLE FILE FOR INPUT
			LDD		DFLTYP				; GET FILE TYPE AND ASCII FLAG
			SUBD	#$0200				; FOR LOADM FILE: TYPE=2, ASCII FLAG=0
			LBNE	LA616 				; BAD FILE MODE' ERROR
			LDX		#0					; ZERO OUT X REG - DEFAULT VALUE OF OFFSET
			JSR		GETCCH				; GET CURRENT CHARACTER FROM BASIC
			BEQ		LCFDE				; BRANCH IF END OF LINE - NO OFFSET
			;JSR		SYNCOMMA			; SYNTAX CHECK FOR COMMA
			;JSR		LB73D				; EVALUATE EXPRESSION
;LCFDE		;STX		VD3					; STORE OFFSET IN VD3
			;JSR		LA5C7				; SYNTAX ERROR IF OTHER CHARACTERS ON LINE

			; GET PREAMBLE/POSTAMBLE
LCFE3		JSR		LCDBC				; GET FIRST BYTE
			PSHS	A					; SAVE IT ON THE STACK
			BSR		LD013				; GET FIRST ARGUMENT
			TFR		D,Y					; SAVE IT IN Y
			BSR		LD013				; GET THE SECOND ARGUMENT
			ADDD	VD3					; ADD IT TO THE OFFSET
			STD		EXECJP				; STORE IT IN THE JUMP ADDRESS OF THE EXEC COMMAND
			TFR		D,X					; SAVE IT IN X
			LDA		,S+					; GET THE FIRST BYTE OFF OF THE STACK
			LBNE	LA42D				; CLOSE FILE IF POSTAMBLE (EOF

			; GET RECORD BYTE(S)
LCFFA		JSR		LC5C4				; GET BYTE FROM BUFFER
			LDB		CINBFL				; GET STATUS OF CONSOLE IN BUFFER
			BEQ		LD004				; BRANCH IF BUFFER NOT EMPTY
			JMP		LC352				; 'INPUT PAST END OF FILE' ERROR
LD004		STA		,X					; STORE BYTE IN MEMORY
			CMPA	,X+					; *TEST TO SEE IF IT STORED PROPERLY AND
			BEQ		LD00D				; BRANCH IF PROPER STORE (NOT IN ROM OR BAD RAM)
			JMP		LD709				; 'I/O ERROR' IF BAD STORE
LD00D		LEAY	-1,Y				; DECREMENT BYTE COUNT
			BNE		LCFFA				; GET NEXT BYTE IF NOT DONE
			BRA		LCFE3 				; READ ANOTHER PRE/POST AMBLE

			; READ TWO BYTES FROM BUFFER - RETURN THEM IN ACCD
LD013		BSR		LD015				; READ A BYTE, SAVE IT IN ACCB
LD015		JSR		LCDBC				; GET A CHARACTER FROM INPUT BUFFER, RETURN IT IN ACCA
			EXG		A,B					; SWAP ACCA,ACCB
			RTS